# -*- coding: utf8 -*-
from __future__ import unicode_literals

import datetime

from driverng.tests import BaseTest

MESSAGE_QUERY = """MSH|^~\\&|Atellica UAS800^1||||20180727154737||QBP^Q11^QBP_Q11|20180727154737508|P|2.5|||NE|AL||ASCII
QPD|WOS^Work Order Step|IHELAW||01416
RCP|I|RD"""


class TestProtocolAtellica800Cyto(BaseTest):

    PROTOCOL_CLASS = "atellica800_cyto"

    def test_query_ack(self):
        message = self.P.get_ack_message(
            MESSAGE_QUERY.encode(),
            date=datetime.datetime(2018, 12, 7, 16, 9, 5),
            control_id=b"CONTROL_ID",
        )
        expected = b"MSH|^~\\&||Atellica UAS800^1||20181207160905||RSP^K11^RSP_K11|20181207160905|P|2.5|||NE|AL||ASCII\rMSA|AA\rQAK|LaboratoryOrderQuery|OK\rQPD|WOS^Work Order Step^IHELAW||01416"
        assert message == expected
